
Redmine - Defect #19933

Watcher not notified upon issue creation

2015-05-23 12:12 - Benjamin Baumann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Hi,

I use Redmine 2.6.2.stable

When I create a ticket and add watchers, they are not notified by mail for the creation.

Subsequent issue updates are notified though.

"Added Issue" is checked in Administration > Config > Email Notification. The issue is public as is the project. I don't use bcc option.

If I look at the logs, the email is sent but only for assignee and users that subscribed to the whole project.

I looked at the code and found that email recipient for issue creation are issue.notified_users and issue.notified_watchers whereas

for issue update it's journal.notified_users and journal.notified_watchers.

Here is an extract from my logs

Started POST "/projects/myProject/issues" for 10.196.160.44 at Fri May 22 17:57:33 +0200 2015

Processing by IssuesController#create as HTML

  Parameters: {"commit"=>"Créer", "attachments"=>{"1"=>{"description"=>""}}, "project_id"=>"my-Pro

ject", "authenticity_token"=>"XXX", "new_checklist"=>"", "issue_template"=>"", "issue"=>{"tracker_

id"=>"12", "parent_issue_id"=>"", "custom_field_values"=>{"12"=>""}, "assigned_to_id"=>"", "catego

ry_id"=>"", "start_date"=>"2015-05-22", "estimated_hours"=>"", "watcher_user_ids"=>["138", "26"], 

"is_private"=>"0", "description"=>"test notif email redmine", "subject"=>"test notif email redmine

", "priority_id"=>"4", "watcher_group_ids"=>["154"], "status_id"=>"1"}, "utf8"=>"?"}

  Current user: bbaumann (id=26)

  Rendered mailer/_issue.text.erb (4.7ms)

  Rendered mailer/issue_add.text.erb within layouts/mailer (6.3ms)

  Rendered mailer/_issue.html.erb (142.8ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (144.7ms)

Sent email "[MyProject- Problem #18685] (Nouveau) test notif email redmine" (5278ms)

  to: user_subscribing_to_all_update_on_this_project_1__AT__blabla.com

Redirected to myRedmine/issues/18685

Started PUT "/issues/18685" for 10.196.160.44 at Fri May 22 17:58:23 +0200 2015

Processing by IssuesController#update as HTML

  Parameters: {"commit"=>"Soumettre", "last_journal_id"=>"", "attachments"=>{"1"=>{"description"=>

""}}, "id"=>"18685", "authenticity_token"=>"XXX", "new_checklist"=>"", "issue"=>{"tracker_id"=>"12

", "parent_issue_id"=>"", "custom_field_values"=>{"12"=>""}, "assigned_to_id"=>"", "category_id"=>

"", "project_id"=>"179", "start_date"=>"2015-05-22 00:00:00", "estimated_hours"=>"", "lock_version

"=>"0", "is_private"=>"0", "description"=>"test notif email redmine", "subject"=>"test notif email

 redmine", "priority_id"=>"4", "status_id"=>"1", "notes"=>"test", "private_notes"=>"0"}, "utf8"=>"

?"}

  Current user: bbaumann (id=26)

  Rendered mailer/_issue.text.erb (12.0ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (13.5ms)

  Rendered mailer/_issue.html.erb (2.1ms)

  Rendered mailer/issue_edit.html.erb within layouts/mailer (3.9ms)

Sent email "[MyProject - Problem #18685] test notif email redmine" (489ms)

  to: user_subscribing_to_all_update_on_this_project_1__AT__blabla.com
  cc: watcher1__AT__test.com

History

#1 - 2015-06-21 06:17 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

Tests cover this situation.

source:tags/2.6.2/test/unit/mailer_test.rb#L307

#2 - 2015-09-09 11:20 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback.
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.6.2/test/unit/mailer_test.rb#L307
